list_jobs
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"title": "Staff engineer",
"category": "engineering",
"locations": [
"New York"
],
"work_type": "hybrid",
"employment_type": "FULL_TIME",
"on_board": true,
"listed_on_hotfix": false,
"posted_at": "2026-09-21T15:04:05+00:00",
"applicants_count": 3
}
]Jobs
list_jobs
Active jobs for this company. on_board means the careers page. listed_on_hotfix means Hotfix search. MCP tool: list_jobs.
GET
/
v1
/
employer
/
jobs
list_jobs
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"title": "Staff engineer",
"category": "engineering",
"locations": [
"New York"
],
"work_type": "hybrid",
"employment_type": "FULL_TIME",
"on_board": true,
"listed_on_hotfix": false,
"posted_at": "2026-09-21T15:04:05+00:00",
"applicants_count": 3
}
]Authorizations
Employer session JWT from Better Auth.
Response
200 - application/json
Success
The response is of type object.